<p align="center">
  <a href="https://tailwindcss.com" target="_blank">
    <picture>
      <source media="(prefers-color-scheme: dark)" srcset="https://raw.githubusercontent.com/dev-mataraman/mataraman.dev/379cbf6117e08bdf8913b5ad041dc70bfdf1dea4/public/logo.svg?token=AQMTIVUJRKENXZDI3TV7VETHQ56HO">
      <source media="(prefers-color-scheme: light)" srcset="https://raw.githubusercontent.com/dev-mataraman/mataraman.dev/379cbf6117e08bdf8913b5ad041dc70bfdf1dea4/public/logo.svg?token=AQMTIVUJRKENXZDI3TV7VETHQ56HO">
      <img alt="Tailwind CSS" src="https://raw.githubusercontent.com/dev-mataraman/mataraman.dev/379cbf6117e08bdf8913b5ad041dc70bfdf1dea4/public/logo.svg?token=AQMTIVUJRKENXZDI3TV7VETHQ56HO" width="350" height="70" style="max-width: 100%;">
    </picture>
  </a>
</p>
<p align="center">
  Like a mama who helps her child grow.
</p>

<p align="center">
    <a href="https://www.npmjs.com/package/mama-cli"><img src="https://img.shields.io/npm/dt/mama-cli.svg" alt="Total Downloads"></a>
    <a href="https://github.com/ItPohgero/mama-cli/releases"><img src="https://img.shields.io/npm/v/mama-cli.svg" alt="Latest Release"></a>
    <a href="https://github.com/ItPohgero/mama-cli/blob/main/LICENSE"><img src="https://img.shields.io/npm/l/mama-cli.svg" alt="License"></a>
</p>

Like a loving mother who raises her child, mama-cli will accompany you to grow in the world of technology. Mama-cli provides various commands that are ready for us to use to create new init projects and contribute to existing projects.

## Install
NPM
```bash
npm i -g mama-cli
```
YARN
```bash
yarn global add mama-cli
```
PNPM
```bash
pnpm add -g mama-cli
```
BUN
```bash
bun add -g mama-cli
```

---
## Commands

### Usage
```bash
mama <command> [options]
```
#### Options
```bash
Options:
  -v, --version   Show version number
  -h, --help      Display help for commands
```
### Create New Project
```bash
mama create <name>
```
```bash
Mama CLI : Like a mama who helps her child grow.
? Select project boilerplate: (Use arrow keys)
❯ Frontend NextJs
  Fullstack NextJs
  Mobile Flutter
  Service (Bun + Hono)
  Service (Golang)
```
## Init
Initial for the existing project
```bash
mama init [type]     Initialize for existing project <type> application default next
```

---

## Features

- **Feature 1**: Brief description of the feature.
- **Feature 2**: Brief description of the feature.
- **Feature 3**: Brief description of the feature.

---

## Documentation

For comprehensive guides and API references, visit our official [documentation](https://your-documentation-link.com).

---

## Community

Join the conversation and connect with other users:

- [Mataraman Dev](https://mataraman.dev)  
- [It Pohgero](https://itpohgero.com)  

---

## 🛠️ Contributing

We welcome contributions! Please check out our [contributing guide](https://github.com/ItPohgero/mama-cli/blob/main/CONTRIBUTING.md) for details on how to get started. Make sure to follow our [code of conduct](https://github.com/ItPohgero/mama-cli/blob/main/CODE_OF_CONDUCT.md).

---

## 📜 License

This project is licensed under the [MIT License](https://github.com/ItPohgero/mama-cli/blob/main/LICENSE).

---

<p align="center">
  Made with ❤️ by <a href="https://mataraman.dev" target="_blank">Mataraman Dev</a>
</p>
